Changeset 120


Ignore:
Timestamp:
Mar 6, 2007 11:42:46 AM (13 years ago)
Author:
andreasw
Message:

enable configuration (libtool check issue) for cross compilation

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Vol/configure

    r112 r120  
    50635063
    50645064
    5065 unset ac_cv_file__________libtool
    5066 unset ac_cv_file_______libtool
    5067 unset ac_cv_file____libtool
    5068 
    50695065LIBTOOL=
    5070 echo "$as_me:$LINENO: checking for ../libtool" >&5
    5071 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    5072 if test "${ac_cv_file____libtool+set}" = set; then
    5073   echo $ECHO_N "(cached) $ECHO_C" >&6
    5074 else
    5075   test "$cross_compiling" = yes &&
    5076   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5077 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5078    { (exit 1); exit 1; }; }
    5079 if test -r "../libtool"; then
    5080   ac_cv_file____libtool=yes
    5081 else
    5082   ac_cv_file____libtool=no
    5083 fi
    5084 fi
    5085 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    5086 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    5087 if test $ac_cv_file____libtool = yes; then
     5066if test -r ../libtool; then
    50885067  coin_config_dir=..
    5089                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    5090 fi
    5091 
     5068  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     5069fi
    50925070if test "x$LIBTOOL" = x; then
    5093   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    5094 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    5095 if test "${ac_cv_file_______libtool+set}" = set; then
    5096   echo $ECHO_N "(cached) $ECHO_C" >&6
    5097 else
    5098   test "$cross_compiling" = yes &&
    5099   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5100 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5101    { (exit 1); exit 1; }; }
    5102 if test -r "../../libtool"; then
    5103   ac_cv_file_______libtool=yes
    5104 else
    5105   ac_cv_file_______libtool=no
    5106 fi
    5107 fi
    5108 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    5109 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    5110 if test $ac_cv_file_______libtool = yes; then
    5111   coin_config_dir=../..
    5112                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    5113 fi
    5114 
    5115 fi
    5116 # if test "x$LIBTOOL" = x; then
    5117 #   AC_CHECK_FILE([../../../libtool],
    5118 #                 [coin_config_dir=../../..
    5119 #                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
    5120 # fi
     5071  if test -r ../../libtool; then
     5072    coin_config_dir=../..
     5073    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     5074  fi
     5075fi
    51215076
    51225077if test "x$LIBTOOL" = x; then
     
    56715626*-*-irix6*)
    56725627  # Find out which ABI we are using.
    5673   echo '#line 5673 "configure"' > conftest.$ac_ext
     5628  echo '#line 5628 "configure"' > conftest.$ac_ext
    56745629  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56755630  (eval $ac_compile) 2>&5
     
    68056760
    68066761# Provide some information about the compiler.
    6807 echo "$as_me:6807:" \
     6762echo "$as_me:6762:" \
    68086763     "checking for Fortran 77 compiler version" >&5
    68096764ac_compiler=`set X $ac_compile; echo $2`
     
    78727827   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78737828   -e 's:$: $lt_compiler_flag:'`
    7874    (eval echo "\"\$as_me:7874: $lt_compile\"" >&5)
     7829   (eval echo "\"\$as_me:7829: $lt_compile\"" >&5)
    78757830   (eval "$lt_compile" 2>conftest.err)
    78767831   ac_status=$?
    78777832   cat conftest.err >&5
    7878    echo "$as_me:7878: \$? = $ac_status" >&5
     7833   echo "$as_me:7833: \$? = $ac_status" >&5
    78797834   if (exit $ac_status) && test -s "$ac_outfile"; then
    78807835     # The compiler can only warn and ignore the option if not recognized
     
    81408095   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81418096   -e 's:$: $lt_compiler_flag:'`
    8142    (eval echo "\"\$as_me:8142: $lt_compile\"" >&5)
     8097   (eval echo "\"\$as_me:8097: $lt_compile\"" >&5)
    81438098   (eval "$lt_compile" 2>conftest.err)
    81448099   ac_status=$?
    81458100   cat conftest.err >&5
    8146    echo "$as_me:8146: \$? = $ac_status" >&5
     8101   echo "$as_me:8101: \$? = $ac_status" >&5
    81478102   if (exit $ac_status) && test -s "$ac_outfile"; then
    81488103     # The compiler can only warn and ignore the option if not recognized
     
    82448199   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82458200   -e 's:$: $lt_compiler_flag:'`
    8246    (eval echo "\"\$as_me:8246: $lt_compile\"" >&5)
     8201   (eval echo "\"\$as_me:8201: $lt_compile\"" >&5)
    82478202   (eval "$lt_compile" 2>out/conftest.err)
    82488203   ac_status=$?
    82498204   cat out/conftest.err >&5
    8250    echo "$as_me:8250: \$? = $ac_status" >&5
     8205   echo "$as_me:8205: \$? = $ac_status" >&5
    82518206   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82528207   then
     
    1058910544  lt_status=$lt_dlunknown
    1059010545  cat > conftest.$ac_ext <<EOF
    10591 #line 10591 "configure"
     10546#line 10546 "configure"
    1059210547#include "confdefs.h"
    1059310548
     
    1068910644  lt_status=$lt_dlunknown
    1069010645  cat > conftest.$ac_ext <<EOF
    10691 #line 10691 "configure"
     10646#line 10646 "configure"
    1069210647#include "confdefs.h"
    1069310648
     
    1303312988   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303412989   -e 's:$: $lt_compiler_flag:'`
    13035    (eval echo "\"\$as_me:13035: $lt_compile\"" >&5)
     12990   (eval echo "\"\$as_me:12990: $lt_compile\"" >&5)
    1303612991   (eval "$lt_compile" 2>conftest.err)
    1303712992   ac_status=$?
    1303812993   cat conftest.err >&5
    13039    echo "$as_me:13039: \$? = $ac_status" >&5
     12994   echo "$as_me:12994: \$? = $ac_status" >&5
    1304012995   if (exit $ac_status) && test -s "$ac_outfile"; then
    1304112996     # The compiler can only warn and ignore the option if not recognized
     
    1313713092   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1313813093   -e 's:$: $lt_compiler_flag:'`
    13139    (eval echo "\"\$as_me:13139: $lt_compile\"" >&5)
     13094   (eval echo "\"\$as_me:13094: $lt_compile\"" >&5)
    1314013095   (eval "$lt_compile" 2>out/conftest.err)
    1314113096   ac_status=$?
    1314213097   cat out/conftest.err >&5
    13143    echo "$as_me:13143: \$? = $ac_status" >&5
     13098   echo "$as_me:13098: \$? = $ac_status" >&5
    1314413099   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1314513100   then
     
    1470714662   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470814663   -e 's:$: $lt_compiler_flag:'`
    14709    (eval echo "\"\$as_me:14709: $lt_compile\"" >&5)
     14664   (eval echo "\"\$as_me:14664: $lt_compile\"" >&5)
    1471014665   (eval "$lt_compile" 2>conftest.err)
    1471114666   ac_status=$?
    1471214667   cat conftest.err >&5
    14713    echo "$as_me:14713: \$? = $ac_status" >&5
     14668   echo "$as_me:14668: \$? = $ac_status" >&5
    1471414669   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471514670     # The compiler can only warn and ignore the option if not recognized
     
    1481114766   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481214767   -e 's:$: $lt_compiler_flag:'`
    14813    (eval echo "\"\$as_me:14813: $lt_compile\"" >&5)
     14768   (eval echo "\"\$as_me:14768: $lt_compile\"" >&5)
    1481414769   (eval "$lt_compile" 2>out/conftest.err)
    1481514770   ac_status=$?
    1481614771   cat out/conftest.err >&5
    14817    echo "$as_me:14817: \$? = $ac_status" >&5
     14772   echo "$as_me:14772: \$? = $ac_status" >&5
    1481814773   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1481914774   then
     
    1701816973   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1701916974   -e 's:$: $lt_compiler_flag:'`
    17020    (eval echo "\"\$as_me:17020: $lt_compile\"" >&5)
     16975   (eval echo "\"\$as_me:16975: $lt_compile\"" >&5)
    1702116976   (eval "$lt_compile" 2>conftest.err)
    1702216977   ac_status=$?
    1702316978   cat conftest.err >&5
    17024    echo "$as_me:17024: \$? = $ac_status" >&5
     16979   echo "$as_me:16979: \$? = $ac_status" >&5
    1702516980   if (exit $ac_status) && test -s "$ac_outfile"; then
    1702616981     # The compiler can only warn and ignore the option if not recognized
     
    1728617241   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728717242   -e 's:$: $lt_compiler_flag:'`
    17288    (eval echo "\"\$as_me:17288: $lt_compile\"" >&5)
     17243   (eval echo "\"\$as_me:17243: $lt_compile\"" >&5)
    1728917244   (eval "$lt_compile" 2>conftest.err)
    1729017245   ac_status=$?
    1729117246   cat conftest.err >&5
    17292    echo "$as_me:17292: \$? = $ac_status" >&5
     17247   echo "$as_me:17247: \$? = $ac_status" >&5
    1729317248   if (exit $ac_status) && test -s "$ac_outfile"; then
    1729417249     # The compiler can only warn and ignore the option if not recognized
     
    1739017345   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1739117346   -e 's:$: $lt_compiler_flag:'`
    17392    (eval echo "\"\$as_me:17392: $lt_compile\"" >&5)
     17347   (eval echo "\"\$as_me:17347: $lt_compile\"" >&5)
    1739317348   (eval "$lt_compile" 2>out/conftest.err)
    1739417349   ac_status=$?
    1739517350   cat out/conftest.err >&5
    17396    echo "$as_me:17396: \$? = $ac_status" >&5
     17351   echo "$as_me:17351: \$? = $ac_status" >&5
    1739717352   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1739817353   then
Note: See TracChangeset for help on using the changeset viewer.